# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_HEADER = $(INSTALL_DATA)
transform = @program_transform_name@
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
AMTAR = @AMTAR@
AR = @AR@
AS = @AS@
AWK = @AWK@
CC = @CC@
CDLBINPATH = @CDLBINPATH@
CDLINCPATH = @CDLINCPATH@
CDLLIBFLAG = @CDLLIBFLAG@
CDLPATH = @CDLPATH@
CDLRTS = @CDLRTS@
CFLAGS = @CFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
DBG_OPT = @DBG_OPT@
DEBUG_LEX_OPT = @DEBUG_LEX_OPT@
DEBUG_REGEXP_OPT = @DEBUG_REGEXP_OPT@
DEBUG_RTS_OPT = @DEBUG_RTS_OPT@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
ECHO = @ECHO@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LEX = @LEX@
LIBTOOL = @LIBTOOL@
LIBTOOL_DEPS = @LIBTOOL_DEPS@
LN_S = @LN_S@
MACHDEPHOSTVAL = @MACHDEPHOSTVAL@
MEMLOG_OPT = @MEMLOG_OPT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
RC = @RC@
STRIP = @STRIP@
VERSION = @VERSION@
YACC = @YACC@
am__include = @am__include@
am__quote = @am__quote@
install_sh = @install_sh@
my_cdlbinpath = @my_cdlbinpath@

noinst_PROGRAMS = agfl-as

agfl_as_SOURCES = agfl-as.c \
		  lexer.h lexer.c \
		  parser.h parser.c \
		  options.h options.c \
		  symbol_table.h symbol_table.c


agfl_as_CFLAGS = @DBG_OPT@ -Wall $(AM_CFLAGS)
agfl_as_LDADD = $(top_builddir)/libabase/src/libabase.la
agfl_as_DEPENDENCIES = $(agfl_as_LDADD)

INCLUDES = -I$(top_srcdir)/libabase/src
subdir = gen/as
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
noinst_PROGRAMS = agfl-as$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)

am_agfl_as_OBJECTS = agfl_as-agfl-as.$(OBJEXT) agfl_as-lexer.$(OBJEXT) \
	agfl_as-parser.$(OBJEXT) agfl_as-options.$(OBJEXT) \
	agfl_as-symbol_table.$(OBJEXT)
agfl_as_OBJECTS = $(am_agfl_as_OBJECTS)
agfl_as_LDFLAGS =

DEFS = @DEFS@
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
depcomp = $(SHELL) $(top_srcdir)/depcomp
@AMDEP_TRUE@DEP_FILES = $(DEPDIR)/agfl_as-agfl-as.Po \
@AMDEP_TRUE@	$(DEPDIR)/agfl_as-lexer.Po \
@AMDEP_TRUE@	$(DEPDIR)/agfl_as-options.Po \
@AMDEP_TRUE@	$(DEPDIR)/agfl_as-parser.Po \
@AMDEP_TRUE@	$(DEPDIR)/agfl_as-symbol_table.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(agfl_as_SOURCES)
DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(agfl_as_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  gen/as/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
agfl_as-agfl-as.$(OBJEXT): agfl-as.c
agfl_as-lexer.$(OBJEXT): lexer.c
agfl_as-parser.$(OBJEXT): parser.c
agfl_as-options.$(OBJEXT): options.c
agfl_as-symbol_table.$(OBJEXT): symbol_table.c
agfl-as$(EXEEXT): $(agfl_as_OBJECTS) $(agfl_as_DEPENDENCIES) 
	@rm -f agfl-as$(EXEEXT)
	$(LINK) $(agfl_as_LDFLAGS) $(agfl_as_OBJECTS) $(agfl_as_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/agfl_as-agfl-as.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/agfl_as-lexer.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/agfl_as-options.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/agfl_as-parser.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/agfl_as-symbol_table.Po@am__quote@

distclean-depend:
	-rm -rf $(DEPDIR)

.c.o:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(COMPILE) -c `test -f $< || echo '$(srcdir)/'`$<

.c.obj:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(COMPILE) -c `cygpath -w $<`

.c.lo:
@AMDEP_TRUE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LTCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<

agfl_as-agfl-as.o: agfl-as.c
@AMDEP_TRUE@	source='agfl-as.c' object='agfl_as-agfl-as.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_as-agfl-as.Po' tmpdepfile='$(DEPDIR)/agfl_as-agfl-as.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_as_CFLAGS) $(CFLAGS) -c -o agfl_as-agfl-as.o `test -f agfl-as.c || echo '$(srcdir)/'`agfl-as.c

agfl_as-agfl-as.obj: agfl-as.c
@AMDEP_TRUE@	source='agfl-as.c' object='agfl_as-agfl-as.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_as-agfl-as.Po' tmpdepfile='$(DEPDIR)/agfl_as-agfl-as.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_as_CFLAGS) $(CFLAGS) -c -o agfl_as-agfl-as.obj `cygpath -w agfl-as.c`

agfl_as-agfl-as.lo: agfl-as.c
@AMDEP_TRUE@	source='agfl-as.c' object='agfl_as-agfl-as.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_as-agfl-as.Plo' tmpdepfile='$(DEPDIR)/agfl_as-agfl-as.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_as_CFLAGS) $(CFLAGS) -c -o agfl_as-agfl-as.lo `test -f agfl-as.c || echo '$(srcdir)/'`agfl-as.c

agfl_as-lexer.o: lexer.c
@AMDEP_TRUE@	source='lexer.c' object='agfl_as-lexer.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_as-lexer.Po' tmpdepfile='$(DEPDIR)/agfl_as-lexer.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_as_CFLAGS) $(CFLAGS) -c -o agfl_as-lexer.o `test -f lexer.c || echo '$(srcdir)/'`lexer.c

agfl_as-lexer.obj: lexer.c
@AMDEP_TRUE@	source='lexer.c' object='agfl_as-lexer.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_as-lexer.Po' tmpdepfile='$(DEPDIR)/agfl_as-lexer.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_as_CFLAGS) $(CFLAGS) -c -o agfl_as-lexer.obj `cygpath -w lexer.c`

agfl_as-lexer.lo: lexer.c
@AMDEP_TRUE@	source='lexer.c' object='agfl_as-lexer.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_as-lexer.Plo' tmpdepfile='$(DEPDIR)/agfl_as-lexer.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_as_CFLAGS) $(CFLAGS) -c -o agfl_as-lexer.lo `test -f lexer.c || echo '$(srcdir)/'`lexer.c

agfl_as-parser.o: parser.c
@AMDEP_TRUE@	source='parser.c' object='agfl_as-parser.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_as-parser.Po' tmpdepfile='$(DEPDIR)/agfl_as-parser.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_as_CFLAGS) $(CFLAGS) -c -o agfl_as-parser.o `test -f parser.c || echo '$(srcdir)/'`parser.c

agfl_as-parser.obj: parser.c
@AMDEP_TRUE@	source='parser.c' object='agfl_as-parser.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_as-parser.Po' tmpdepfile='$(DEPDIR)/agfl_as-parser.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_as_CFLAGS) $(CFLAGS) -c -o agfl_as-parser.obj `cygpath -w parser.c`

agfl_as-parser.lo: parser.c
@AMDEP_TRUE@	source='parser.c' object='agfl_as-parser.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_as-parser.Plo' tmpdepfile='$(DEPDIR)/agfl_as-parser.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_as_CFLAGS) $(CFLAGS) -c -o agfl_as-parser.lo `test -f parser.c || echo '$(srcdir)/'`parser.c

agfl_as-options.o: options.c
@AMDEP_TRUE@	source='options.c' object='agfl_as-options.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_as-options.Po' tmpdepfile='$(DEPDIR)/agfl_as-options.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_as_CFLAGS) $(CFLAGS) -c -o agfl_as-options.o `test -f options.c || echo '$(srcdir)/'`options.c

agfl_as-options.obj: options.c
@AMDEP_TRUE@	source='options.c' object='agfl_as-options.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_as-options.Po' tmpdepfile='$(DEPDIR)/agfl_as-options.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_as_CFLAGS) $(CFLAGS) -c -o agfl_as-options.obj `cygpath -w options.c`

agfl_as-options.lo: options.c
@AMDEP_TRUE@	source='options.c' object='agfl_as-options.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_as-options.Plo' tmpdepfile='$(DEPDIR)/agfl_as-options.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_as_CFLAGS) $(CFLAGS) -c -o agfl_as-options.lo `test -f options.c || echo '$(srcdir)/'`options.c

agfl_as-symbol_table.o: symbol_table.c
@AMDEP_TRUE@	source='symbol_table.c' object='agfl_as-symbol_table.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_as-symbol_table.Po' tmpdepfile='$(DEPDIR)/agfl_as-symbol_table.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_as_CFLAGS) $(CFLAGS) -c -o agfl_as-symbol_table.o `test -f symbol_table.c || echo '$(srcdir)/'`symbol_table.c

agfl_as-symbol_table.obj: symbol_table.c
@AMDEP_TRUE@	source='symbol_table.c' object='agfl_as-symbol_table.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_as-symbol_table.Po' tmpdepfile='$(DEPDIR)/agfl_as-symbol_table.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_as_CFLAGS) $(CFLAGS) -c -o agfl_as-symbol_table.obj `cygpath -w symbol_table.c`

agfl_as-symbol_table.lo: symbol_table.c
@AMDEP_TRUE@	source='symbol_table.c' object='agfl_as-symbol_table.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_as-symbol_table.Plo' tmpdepfile='$(DEPDIR)/agfl_as-symbol_table.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_as_CFLAGS) $(CFLAGS) -c -o agfl_as-symbol_table.lo `test -f symbol_table.c || echo '$(srcdir)/'`symbol_table.c
CCDEPMODE = @CCDEPMODE@
uninstall-info-am:

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || etags $(ETAGS_ARGS) $$tags  $$unique $(LISP)

GTAGS:
	here=`CDPATH=: && cd $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  if test -f $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    $(mkinstalldirs) "$(distdir)/$$dir"; \
	  fi; \
	  if test -d $$d/$$file; then \
	    cp -pR $$d/$$file $(distdir) \
	    || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS)

installdirs:

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
	mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

uninstall-am: uninstall-info-am

.PHONY: GTAGS all all-am check check-am clean clean-generic \
	clean-libtool clean-noinstPROGRAMS distclean distclean-compile \
	distclean-depend distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am info info-am install \
	install-am install-data install-data-am install-exec \
	install-exec-am install-info install-info-am install-man \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	tags uninstall uninstall-am uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
